Package net.shibboleth.idp.saml.profile.config

# Interface SAMLProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `InterceptorAwareProfileConfiguration`, `ProfileConfiguration`, `SAMLProfileConfiguration`

All Known Implementing Classes:
  `AbstractSAML1ArtifactAwareProfileConfiguration`, `AbstractSAML1AssertionProducingProfileConfiguration`, `AbstractSAML2ArtifactAwareProfileConfiguration`, `AbstractSAML2AssertionProducingProfileConfiguration`, `AbstractSAML2ProfileConfiguration`, `AbstractSAMLProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `AttributeQueryProfileConfiguration`, `AttributeQueryProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`, `SingleLogoutProfileConfiguration`, `SSOSProfileConfiguration`

public interface SAMLProfileConfiguration extends SAMLProfileConfiguration, InterceptorAwareProfileConfiguration
Common interface for IdP SAML profile configurations.

This hooks all SAML profiles against the inbound and outbound interceptor support interface.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.profile.config.InterceptorAwareProfileConfiguration

`getInboundInterceptorFlows, getOutboundInterceptorFlows`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`